
INTRODUCTION
------------

Conditional message is designed to display custom messages to a targeted
audience. Some conditions are available by default to cover common cases. 
Integration with other modules to expand its functionality is underway.

INSTALLATION
------------
 
Install like any other module. See the documentation for details:
https://www.drupal.org/docs/7/extending-drupal-7/installing-contributed-modules-find-import-enable-configure-drupal-7

CONFIGURATION
-------------

Check the boxes of the conditions you would like to use to trigger the message. 
As conditions are checked their corresponding configurations are displayed at
the bottom. It is also possible to configure the message background colour, the
font colour, the position of the message (top or bottom of the page) and the
html element to use as a container. You can target a container by entering the
id or class as in CSS. The default is to use the #page-wrapper as the container.

DEVELOPING
----------

To add functionality to the module you can use the available hooks:
hook_conditional_message_options(). -> adds a condition option.
hook_conditional_message_conditions(). -> backend for new conditions.

FAQ
---

Q: How does the option "once per session" really works?

A: It uses javascript's localStorage to store session data. The data persists
after closing the tab or window and will persist until the browser cache is
cleared or when the "Reset sessions" button is clicked.

Q: How does the module checks for content types?

A: The content types are checked via JS by searching in the body tag a class
that corresponds to "node-type-[your content type]".

MAINTAINERS
-----------

Current maintainers:
 * William Ranvaud (wranvaud) - https://www.drupal.org/user/1058108